eoSequentialOp(3)

NAME
eoSequentialOp - Sequential selection: note the mark, rewind, unmark cycle here operators are repeatedly applied on the same individual(s) not all too elegant, but it sort of works...

SYNOPSIS

#include <eoOpContainer.h>

Inherits eoOpContainer< EOT >< EOT >.

  Public Types
typedef unsigned position_type

  Public Member Functions
void apply (eoPopulator< EOT > &_pop)
the function that will do the work
virtual std::string className () const

  Private Attributes
std::vector< size_t > to_apply
std::vector< size_t > production

Detailed Description

  template<class EOT> class eoSequentialOp< EOT >
Sequential selection: note the mark, rewind, unmark cycle here operators are repeatedly applied on the same individual(s) not all too elegant, but it sort of works...

Definition at line 88 of file eoOpContainer.h.

Author

Generated automatically by Doxygen for EO from the source code.